### Hierarchy

- InterceptorCortege

## Index

### Constructors

- constructor

### Properties

- data
- fileMeta
- headers
- method
- path

### Methods

- isTransaction

## Constructors

### constructor

- new InterceptorCortege(path: string, method: HttpMethod, headers: Map<string, string>, data?: object | string | number, fileMeta?: FileMeta): InterceptorCortege

- - Defined in repository/source/http/InterceptorCortege.ts:10

  #### Parameters

  - ##### path: string

  - ##### method: HttpMethod

  - ##### headers: Map<string, string>

  - ##### Optional data: object | string | number

  - ##### Optional fileMeta: FileMeta

  #### Returns InterceptorCortege

## Properties

### Optional data

data: object | string | number

- Defined in repository/source/http/InterceptorCortege.ts:9

### Optional fileMeta

fileMeta: FileMeta

- Defined in repository/source/http/InterceptorCortege.ts:10

### headers

headers: Map<string, string>

- Defined in repository/source/http/InterceptorCortege.ts:8

### method

method: HttpMethod

- Defined in repository/source/http/InterceptorCortege.ts:7

### path

path: string

- Defined in repository/source/http/InterceptorCortege.ts:6

## Methods

### isTransaction

- isTransaction(): boolean

- - Defined in repository/source/http/InterceptorCortege.ts:26

  #### Returns boolean

Generated using TypeDoc